# Gimp.Palette

    const Gimp = imports.gi.Gimp;

    let palette = new Gimp.Palette();

Installable object, a small set of colors a user can choose from.

## Hierarchy

- GObject.Object
  - Gimp.Resource
    - Gimp.Palette

## Constructors

- Gimp.Palette.new

## Methods

- Gimp.Palette.prototype.add_entry
- Gimp.Palette.prototype.delete_entry
- Gimp.Palette.prototype.get_color_count
- Gimp.Palette.prototype.get_colormap
- Gimp.Palette.prototype.get_colors
- Gimp.Palette.prototype.get_columns
- Gimp.Palette.prototype.get_entry_color
- Gimp.Palette.prototype.get_entry_name
- Gimp.Palette.prototype.set_colormap
- Gimp.Palette.prototype.set_columns
- Gimp.Palette.prototype.set_entry_color
- Gimp.Palette.prototype.set_entry_name

## Static Functions

- Gimp.Palette.get_by_name